##############################################################
## MOD Title: Blogger Integration Mod
## MOD Author: rancidmoose < elfprince13@gmail.com > (Thomas Dickerson) http://sfgp.cemetech.net/?page=phpbb
## MOD Description: This modifies a Blogger website to integrate with the phpBB template system and sends mass emails to the blog.
## MOD Version: 1.0.0
##
## Installation Level: (Intermediate)
## Installation Time: 15 Minutes
## Files To Edit: admin/admin_mass_email.php
##      includes/constants.php,
##      language/lang_english/lang_main.php
## Included Files: blog.php
## License: http://www.gnu.org/licenses/gpl-3.0.txt GNU General Public License v3
##############################################################
## For security purposes, please check: http://www.phpbb.com/mods/
## for the latest version of this MOD. Although MODs are checked
## before being allowed in the MODs Database there is no guarantee
## that there are no security problems within the MOD. No support
## will be given for MODs not found within the MODs Database which
## can be found at http://www.phpbb.com/mods/
##############################################################
## Author Notes:
##
##    This mod mostly is for Blogger with very few instructions to carry out
## in phpBB itself. The time required is actually quite short, however it does
## require some knowledge of FTP and .htaccess. This also requires that you
## ftp or sftp access to a server
##
##############################################################
## MOD History:
##
##   2006-05-10 - Version 1.0.0
##      - This release. Added in the support for the Blogger template system.
##
##   2006-04-03 - Version 0.1.0
##      - Unreleased. First edit of the mass emailer.
##
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################

#
#-----[ COPY ]------------------------------------------
#
copy blog.php to blog.php
#
#-----[ OPEN ]------------------------------------------
#
admin/admin_mass_email.php
#
#-----[ FIND ]------------------------------------------
#
		$emailer->replyto($board_config['board_email']);
#
#-----[ AFTER, ADD ]------------------------------------------
#
		$bcc_list = array_merge($bcc_list, array("YOUR EMAIL HERE"));
#
#-----[ DIY INSTRUCTIONS ]------------------------------------------
#
		replace the bit where it says YOUR EMAIL HERE with the secret email address used for publishing to your
		Blogger account. for example rancidmoose.secretmoosemail@blogger.com. This can be found in your Blogger
		settings under email.
		
#
#-----[ OPEN ]------------------------------------------
#
	includes/constants.php
#
#-----[ FIND ]------------------------------------------
#
	// Page numbers for session handling
#
#-----[ AFTER, ADD ]------------------------------------------
#
	define('PAGE_BLOGGER_BLOG', -1305);
#
#-----[ OPEN ]------------------------------------------
#
	language/lang_english/lang_main.php
#
#-----[ FIND ]------------------------------------------
#	
	//
	// Viewtopic
	//
#
#-----[ BEFORE, ADD ]------------------------------------------
#
	//
	// Blogger Integration
	//
	$lang['Blog_Page'] = 'Blog';
#
#-----[ DIY INSTRUCTIONS ]------------------------------------------
#
	now the hard part. First, go to blogger.com and login as usual. Select the blog you wish to integrate
with phpBB and go to its control panel. Select Settings and Publishing.
Enter your FTP server. Under Blog URL enter the URL of your forum followed by blog/
In my case this would be http://rancidmoose.unitedti.org/forum/blog/
Under FTP path, enter the ftp path to the directory above. In my case this is public_html/forum/blog/
For blog filename enter index.php.
Now enter your ftp server and password. Save your settings.
Under archiving, select your desired settings. If you do not have .htaccess capabilities you probably need to 
disable Post Pages (unless your server processes .html files as php files).
if you do have .htaccess, you may either disable them or enable them. If you enable them you will
have to configure .htaccess to treat .html files as .php files.
Under Archive filename, enter archive.php.
At this point if you have not yet set your Mail-To-Blogger Address (under the email tab), do so
and then go back and re-setup the admin/admin_mass_email.php.
Finally, the rest of the tutorial assumes you are using the Minima style. If you are not, you may need to make
some changes to this part, however Minima has the closest look and feel to phpBB, so I recommend that one anyway.
Click the template tab and replace

-------------------------------------------------------------------

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title><$BlogPageTitle$></title>

  <$BlogMetaData$>

  <style type="text/css">
/*
-----------------------------------------------
Blogger Template Style
Name:     Minima
Designer: Douglas Bowman
URL:      www.stopdesign.com
Date:     26 Feb 2004
----------------------------------------------- */


body {
  background:#fff;
  margin:0;
  padding:40px 20px;
  font:x-small Georgia,Serif;
  text-align:center;
  color:#333;
  font-size/* */:/**/small;
  font-size: /**/small;
  }
a:link {
  color:#58a;
  text-decoration:none;
  }
a:visited {
  color:#969;
  text-decoration:none;
  }
a:hover {
  color:#c60;
  text-decoration:underline;
  }
a img {
  border-width:0;
  }


/* Header
----------------------------------------------- */
@media all {
  #header {
    width:660px;
    margin:0 auto 10px;
    border:1px solid #ccc;
    }
  }
@media handheld {
  #header {
    width:90%;
    }
  }
#blog-title {
  margin:5px 5px 0;
  padding:20px 20px .25em;
  border:1px solid #eee;
  border-width:1px 1px 0;
  font-size:200%;
  line-height:1.2em;
  font-weight:normal;
  color:#666;
  text-transform:uppercase;
  letter-spacing:.2em;
  }
#blog-title a {
  color:#666;
  text-decoration:none;
  }
#blog-title a:hover {
  color:#c60;
  }
#description {
  margin:0 5px 5px;
  padding:0 20px 20px;
  border:1px solid #eee;
  border-width:0 1px 1px;
  max-width:700px;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.2em;
  color:#999;
  }


/* Content
----------------------------------------------- */
@media all {
  #content {
    width:660px;
    margin:0 auto;
    padding:0;
    text-align:left;
    }
  #main {
    width:410px;
    float:left;
    }
  #sidebar {
    width:220px;
    float:right;
    }
  }
@media handheld {
  #content {
    width:90%;
    }
  #main {
    width:100%;
    float:none;
    }
  #sidebar {
    width:100%;
    float:none;
    }
  }

/* Headings
----------------------------------------------- */
h2 {
  margin:1.5em 0 .75em;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.2em;
  color:#999;
  }


/* Posts
----------------------------------------------- */
@media all {
  .date-header {
    margin:1.5em 0 .5em;
    }
  .post {
    margin:.5em 0 1.5em;
    border-bottom:1px dotted #ccc;
    padding-bottom:1.5em;
    }
  }
@media handheld {
  .date-header {
    padding:0 1.5em 0 1.5em;
    }
  .post {
    padding:0 1.5em 0 1.5em;
    }
  }
.post-title {
  margin:.25em 0 0;
  padding:0 0 4px;
  font-size:140%;
  font-weight:normal;
  line-height:1.4em;
  color:#c60;
  }
.post-title a, .post-title a:visited, .post-title strong {
  display:block;
  text-decoration:none;
  color:#c60;
  font-weight:normal;
  }
.post-title strong, .post-title a:hover {
  color:#333;
  }
.post div {
  margin:0 0 .75em;
  line-height:1.6em;
  }
p.post-footer {
  margin:-.25em 0 0;
  color:#ccc;
  }
.post-footer em, .comment-link {
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
.post-footer em {
  font-style:normal;
  color:#999;
  margin-right:.6em;
  }
.comment-link {
  margin-left:.6em;
  }
.post img {
  padding:4px;
  border:1px solid #ddd;
  }
.post blockquote {
  margin:1em 20px;
  }
.post blockquote p {
  margin:.75em 0;
  }


/* Comments
----------------------------------------------- */
#comments h4 {
  margin:1em 0;
  font:bold 78%/1.6em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.2em;
  color:#999;
  }
#comments h4 strong {
  font-size:130%;
  }
#comments-block {
  margin:1em 0 1.5em;
  line-height:1.6em;
  }
#comments-block dt {
  margin:.5em 0;
  }
#comments-block dd {
  margin:.25em 0 0;
  }
#comments-block dd.comment-timestamp {
  margin:-.25em 0 2em;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
#comments-block dd p {
  margin:0 0 .75em;
  }
.deleted-comment {
  font-style:italic;
  color:gray;
  }


/* Sidebar Content
----------------------------------------------- */
#sidebar ul {
  margin:0 0 1.5em;
  padding:0 0 1.5em;
  border-bottom:1px dotted #ccc;
  list-style:none;
  }
#sidebar li {
  margin:0;
  padding:0 0 .25em 15px;
  text-indent:-15px;
  line-height:1.5em;
  }
#sidebar p {
  color:#666;
  line-height:1.5em;
  }


/* Profile
----------------------------------------------- */
#profile-container {
  margin:0 0 1.5em;
  border-bottom:1px dotted #ccc;
  padding-bottom:1.5em;
  }
.profile-datablock {
  margin:.5em 0 .5em;
  }
.profile-img {
  display:inline;
  }
.profile-img img {
  float:left;
  padding:4px;
  border:1px solid #ddd;
  margin:0 8px 3px 0;
  }
.profile-data {
  margin:0;
  font:bold 78%/1.6em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
.profile-data strong {
  display:none;
  }
.profile-textblock {
  margin:0 0 .5em;
  }
.profile-link {
  margin:0;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }


/* Footer
----------------------------------------------- */
#footer {
  width:660px;
  clear:both;
  margin:0 auto;
  }
#footer hr {
  display:none;
  }
#footer p {
  margin:0;
  padding-top:15px;
  font:78%/1.6em "Trebuchet MS",Trebuchet,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
  </style>

</head>

<body>

<div id="header">

  <h1 id="blog-title">
    <ItemPage><a href="<$BlogURL$>"></ItemPage>
	<$BlogTitle$>
	<ItemPage></a></ItemPage>
  </h1>
  <p id="description"><$BlogDescription$></p>

</div>

------------------------------------------------

with

------------------------------------------------

<?php 
    if(!defined('IN_BLOG')){  
      $url = $_SERVER['SCRIPT_NAME']; 
      if(FALSE != strpos($url,'rancidmoose_archive')){ 
          $I = strpos($url, 'blog/') + 5; 
          $i2 = strpos($url, '_',$I); 
          $year = substr($url,$I, $i2-$I); 
          $I = $i2 + 1; 
          $i2 = strpos($url,'_',$I); 
          $month = substr($url,$I, $i2-$I); 
          $I = $i2 + 1; 
          $i2 = strpos($url,'_',$I); 
          $num = substr($url,$I, $i2-$I); 
          $url = '../blog.php?year=' . $year . '&month=' . $month . '&num=' . $num; 
      } else{ 
        $url = '../blog.php'; 
      } 
      header('Location:'.$url); 
    } 

 ?>
 <style type="text/css">
/*
-----------------------------------------------
Blogger Template Style
Name:     Minima
Designer: Douglas Bowman
URL:      www.stopdesign.com
Date:     26 Feb 2004
----------------------------------------------- */


body {
  background:#fff;
  margin:0;
  padding:40px 20px;
  font:x-small Georgia,Serif;
  text-align:center;
  color:#333;
  font-size/* */:/**/small;
  font-size: /**/small;
  }
a:link {
  color:#58a;
  text-decoration:none;
  }
a:visited {
  color:#969;
  text-decoration:none;
  }
a:hover {
  color:#c60;
  text-decoration:underline;
  }
a img {
  border-width:0;
  }


/* Header
----------------------------------------------- */
@media all {
  #header {
    width:660px;
    margin:0 auto 10px;
    border:1px solid #ccc;
    }
  }
@media handheld {
  #header {
    width:90%;
    }
  }
#blog-title {
  margin:5px 5px 0;
  padding:20px 20px .25em;
  border:1px solid #eee;
  border-width:1px 1px 0;
  font-size:200%;
  line-height:1.2em;
  font-weight:normal;
  color:#666;
  text-transform:uppercase;
  letter-spacing:.2em;
  }
#blog-title a {
  color:#666;
  text-decoration:none;
  }
#blog-title a:hover {
  color:#c60;
  }
#description {
  margin:0 5px 5px;
  padding:0 20px 20px;
  border:1px solid #eee;
  border-width:0 1px 1px;
  max-width:700px;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.2em;
  color:#999;
  }


/* Content
----------------------------------------------- */
@media all {
  #content {
    width:660px;
    margin:0 auto;
    padding:0;
    text-align:left;
    }
  #main {
    width:410px;
    float:left;
    }
  #sidebar {
    width:220px;
    float:right;
    }
  }
@media handheld {
  #content {
    width:90%;
    }
  #main {
    width:100%;
    float:none;
    }
  #sidebar {
    width:100%;
    float:none;
    }
  }

/* Headings
----------------------------------------------- */
h2 {
  margin:1.5em 0 .75em;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.2em;
  color:#999;
  }


/* Posts
----------------------------------------------- */
@media all {
  .date-header {
    margin:1.5em 0 .5em;
    }
  .post {
    margin:.5em 0 1.5em;
    border-bottom:1px dotted #ccc;
    padding-bottom:1.5em;
    }
  }
@media handheld {
  .date-header {
    padding:0 1.5em 0 1.5em;
    }
  .post {
    padding:0 1.5em 0 1.5em;
    }
  }
.post-title {
  margin:.25em 0 0;
  padding:0 0 4px;
  font-size:140%;
  font-weight:normal;
  line-height:1.4em;
  color:#c60;
  }
.post-title a, .post-title a:visited, .post-title strong {
  display:block;
  text-decoration:none;
  color:#c60;
  font-weight:normal;
  }
.post-title strong, .post-title a:hover {
  color:#333;
  }
.post div {
  margin:0 0 .75em;
  line-height:1.6em;
  }
p.post-footer {
  margin:-.25em 0 0;
  color:#ccc;
  }
.post-footer em, .comment-link {
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
.post-footer em {
  font-style:normal;
  color:#999;
  margin-right:.6em;
  }
.comment-link {
  margin-left:.6em;
  }
.post img {
  padding:4px;
  border:1px solid #ddd;
  }
.post blockquote {
  margin:1em 20px;
  }
.post blockquote p {
  margin:.75em 0;
  }


/* Comments
----------------------------------------------- */
#comments h4 {
  margin:1em 0;
  font:bold 78%/1.6em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.2em;
  color:#999;
  }
#comments h4 strong {
  font-size:130%;
  }
#comments-block {
  margin:1em 0 1.5em;
  line-height:1.6em;
  }
#comments-block dt {
  margin:.5em 0;
  }
#comments-block dd {
  margin:.25em 0 0;
  }
#comments-block dd.comment-timestamp {
  margin:-.25em 0 2em;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
#comments-block dd p {
  margin:0 0 .75em;
  }
.deleted-comment {
  font-style:italic;
  color:gray;
  }


/* Sidebar Content
----------------------------------------------- */
#sidebar ul {
  margin:0 0 1.5em;
  padding:0 0 1.5em;
  border-bottom:1px dotted #ccc;
  list-style:none;
  }
#sidebar li {
  margin:0;
  padding:0 0 .25em 15px;
  text-indent:-15px;
  line-height:1.5em;
  }
#sidebar p {
  color:#666;
  line-height:1.5em;
  }


/* Profile
----------------------------------------------- */
#profile-container {
  margin:0 0 1.5em;
  border-bottom:1px dotted #ccc;
  padding-bottom:1.5em;
  }
.profile-datablock {
  margin:.5em 0 .5em;
  }
.profile-img {
  display:inline;
  }
.profile-img img {
  float:left;
  padding:4px;
  border:1px solid #ddd;
  margin:0 8px 3px 0;
  }
.profile-data {
  margin:0;
  font:bold 78%/1.6em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
.profile-data strong {
  display:none;
  }
.profile-textblock {
  margin:0 0 .5em;
  }
.profile-link {
  margin:0;
  font:78%/1.4em "Trebuchet MS",Trebuchet,Arial,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }


/* Footer
----------------------------------------------- */
#footer {
  width:660px;
  clear:both;
  margin:0 auto;
  }
#footer hr {
  display:none;
  }
#footer p {
  margin:0;
  padding-top:15px;
  font:78%/1.6em "Trebuchet MS",Trebuchet,Verdana,Sans-serif;
  text-transform:uppercase;
  letter-spacing:.1em;
  }
  </style>

<a href="index.php">$BlogTitle$</a>

-----------------------------------------------------

then, at the end of the file, remove the </body> and </html> tags.
Save and republish your files.

#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
# EoM